OpenJPEG 2.5.2

Functions
jpipstream_manager.h File Reference
`#include "byte_manager.h"`
`#include "msgqueue_manager.h"`
`#include "ihdrbox_manager.h"`

Go to the source code of this file.

## Functions
Byte_t * | update_JPIPstream (Byte_t *newstream, OPJ_SIZE_T newstreamlen, Byte_t *cache_stream, OPJ_SIZE_T *streamlen)
void | save_codestream (Byte_t *codestream, OPJ_SIZE_T streamlen, const char *fmt)
Byte_t * | jpipstream_to_pnm (Byte_t *jpipstream, msgqueue_param_t *msgqueue, Byte8_t csn, int fw, int fh, ihdrbox_param_t **ihdrbox)
ihdrbox_param_t * | get_SIZ_from_jpipstream (Byte_t *jpipstream, msgqueue_param_t *msgqueue, Byte8_t csn)

## Function Documentation

## ◆ get_SIZ_from_jpipstream()

ihdrbox_param_t * get_SIZ_from_jpipstream | ( | Byte_t * | jpipstream,
|  | msgqueue_param_t * | msgqueue,
|  | Byte8_t | csn )

References ihdrbox_param::bpc, SIZmarker_param::Csiz, get_mainheader_from_j2kstream(), ihdrbox_param::height, ihdrbox_param::nc, opj_free(), opj_malloc(), recons_j2kmainhead(), SIZmarker_param::Ssiz, ihdrbox_param::width, SIZmarker_param::Xsiz, and SIZmarker_param::Ysiz.

Referenced by handle_SIZreqMSG().

## ◆ jpipstream_to_pnm()

Byte_t * jpipstream_to_pnm | ( | Byte_t * | jpipstream,
|  | msgqueue_param_t * | msgqueue,
|  | Byte8_t | csn,
|  | int | fw,
|  | int | fh,
|  | ihdrbox_param_t ** | ihdrbox )

References j2k_to_pnm(), opj_free(), and recons_j2k().

Referenced by handle_PNMreqMSG().

## ◆ save_codestream()

void save_codestream | ( | Byte_t * | codestream,
|  | OPJ_SIZE_T | streamlen,
|  | const char * | fmt )

Referenced by handle_clientreq(), and handle_JP2saveMSG().

## ◆ update_JPIPstream()

Byte_t * update_JPIPstream | ( | Byte_t * | newstream,
|  | OPJ_SIZE_T | newstreamlen,
|  | Byte_t * | cache_stream,
|  | OPJ_SIZE_T * | streamlen )

References opj_free(), and opj_malloc().

Referenced by handle_JPIPstreamMSG().